.vertical_th {
    display: flex;
    flex-direction: column;
}

.menu {
    font-size: 0.8em;
}

.vertical_options {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 1.4vh;
}

.card {
    background-color: blue;
    height: 50px;
    width: 50px;
    display: block;
}

.card[data-size="big"] {
    width: 100px;
}

.card[data-size="small"] {
    width: 25px;
}

.hidden_system,
.hidden_label,
.hidden_obj,
.hidden_wreck,
.hidden_wreck_label,
.hidden_obj_other_label,
.hidden_zone,
.hidden_pob,
.hidden_coords {
    display: none;
}

.unhidden_wreck,
.unhidden_wreck img {
    display: block !important;
}

obj-.unhidden_wreck_label {
    display: block !important;
}

.unhidden_all_zone {
    display: block !important;
}

.unhiddenCylinderZone {
    display: block !important;
}

.unhidden_infocard_label system-label {
    display: inline-block !important;
    color: rgba(232, 252, 121, 0.8) !important;
}

obj-.unhidden_infocard_label {
    display: flex !important;
    color: rgba(232, 252, 121, 0.8) !important;
}

system-label-wrap.unhidden_infocard_label {
    display: inline-block !important;
}

.wreck system-label {
    color: var(--wreck_label_color);
}

.conn_jumpgate {
    background-color: rgba(69, 150, 255, 0.9);
}

.conn_unknown {
    /*background-color: rgba(143, 192, 255, 0.5);*/
    background-color: rgba(247, 4, 255, 0.849);
}

.conn_jumphole {
    background-color: rgb(230 255 4 / 67%);
    background-color: rgb(243 229 171 / 67%);

    /*background-color: rgba(143, 192, 255, 0.5)*/
}


.conn_unstable {
    background-color: rgba(219, 72, 55, 0.9);
}

.conn_fighter {
    background-color: rgba(1, 255, 13, 0.9);
}

.conn_alien {
    background-color: rgba(152, 69, 255, 0.9);
}

.conn_campaign_locked {
    background-color: rgba(255, 136, 1, 0.9);
}

/* .conn_hover {} */

/* CSS TOGLE SWITCH START */
.toggle-container {
    --active-color: #1868e3;
    --inactive-color: #98989c;
    position: relative;
    aspect-ratio: 292 / 142;
    height: min(2.5vh, 3vw);
}

.toggle-input {
    appearance: none;
    margin: 0;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.toggle {
    width: 100%;
    height: 100%;
    overflow: visible;
}

.toggle-background {
    fill: var(--inactive-color);
    transition: fill .4s;
}

.toggle-input:checked+.toggle .toggle-background {
    fill: var(--active-color);
}

.toggle-circle-center {
    transform-origin: center;
    transition: transform .6s;
}

.toggle-input:checked+.toggle .toggle-circle-center {
    transform: translateX(150px);
}

.toggle-circle {
    transform-origin: center;
    transition: transform .45s;
    backface-visibility: hidden;
}

.toggle-circle.left {
    transform: scale(1);
}

.toggle-input:checked+.toggle .toggle-circle.left {
    transform: scale(0);
}

.toggle-circle.right {
    transform: scale(0);
}

.toggle-input:checked+.toggle .toggle-circle.right {
    transform: scale(1);
}

.toggle-icon {
    transition: fill .4s;
}

.toggle-icon.on {
    fill: var(--inactive-color);
}

.toggle-input:checked+.toggle .toggle-icon.on {
    fill: #fff;
}

.toggle-icon.off {
    fill: #eaeaec;
}

.toggle-input:checked+.toggle .toggle-icon.off {
    fill: var(--active-color);
}

/* CSS TOGLE SWITCH END */

svg.connection-svg-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    overflow: visible;
    z-index: -1;
}

svg.connection-svg-overlay line {
    stroke: rgba(255, 1, 242, 0.9);
    stroke-width: 0.125em;
}

svg.connection-svg-overlay line.conn_jumpgate {
    stroke: rgba(69, 150, 255, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_unknown {
    stroke: rgba(247, 4, 255, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_jumphole {
    stroke: rgba(243, 229, 171, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_unstable {
    stroke: rgba(219, 72, 55, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_fighter {
    stroke: rgba(1, 255, 13, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_alien {
    stroke: rgba(152, 69, 255, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_campaign_locked {
    stroke: rgba(255, 136, 1, 0.8);
    stroke-width: 0.14em;
}

svg.connection-svg-overlay line.conn_hover {
    stroke: rgba(255, 255, 255, 0.8);
    stroke-width: 0.22em;
}

svg.connection-svg-overlay line.hidden_system {
    display: none;
}

.tippy-box {
    display: none;
}